query factory($id: ID!, $block: Block_height){
    factory(id: $id, block: $block){
        id
        type
        volumeUSD
        volumeNative
        liquidityUSD
        liquidityNative
        feesUSD
        feesNative
        pairCount
        transactionCount
        tokenCount
        userCount
    }
}